gnutls_digest_get_id(3)

NAME
gnutls_digest_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_digest_algorithm_t gnutls_digest_get_id(const char * name);

ARGUMENTS

const char * name
    is a digest algorithm name

DESCRIPTION
Convert a string to a gnutls_digest_algorithm_t value. The names are compared in a case insensitive way.

RETURNS
a gnutls_digest_algorithm_t id of the specified MAC algorithm string, or GNUTLS_DIG_UNKNOWN on failures.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/